Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.testing.ui.contentassist.antlr
Class ATestParser

    java.lang.Object
      org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser
          org.eclipse.amp.amf.testing.ui.contentassist.antlr.ATestParser

All Implemented Interfaces:
  org.eclipse.xtext.ui.editor.contentassist.antlr.IContentAssistParser

    public class ATestParser

extends org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser

Constructor Summary
`ATestParser()`

Method Summary
`protected InternalATestParser` | `createParser()`
`protected java.util.Collection<org.eclipse.xtext.ui.editor.contentassist.antlr.FollowElement>` | `getFollowElements(org.eclipse.xtext.ui.editor.contentassist.antlr.internal.AbstractInternalContentAssistParser parser)`
`ATestGrammarAccess` | `getGrammarAccess()`
`protected java.lang.String[]` | `getInitialHiddenTokens()`
`protected java.lang.String` | `getRuleName(org.eclipse.xtext.AbstractElement element)`
`void` | `setGrammarAccess(ATestGrammarAccess grammarAccess)`

Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser
`createLexer, getFollowElements, getFollowElements, getUnorderedGroupHelper, setUnorderedGroupHelper`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATestParser

    public ATestParser()

Method Detail

### createParser

    protected InternalATestParser createParser()

  Specified by:
    `createParser` in class `org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser`

### getRuleName

    protected java.lang.String getRuleName(org.eclipse.xtext.AbstractElement element)

  Specified by:
    `getRuleName` in class `org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser`

### getFollowElements

    protected java.util.Collection<org.eclipse.xtext.ui.editor.contentassist.antlr.FollowElement> getFollowElements(org.eclipse.xtext.ui.editor.contentassist.antlr.internal.AbstractInternalContentAssistParser parser)

  Specified by:
    `getFollowElements` in class `org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser`

### getInitialHiddenTokens

    protected java.lang.String[] getInitialHiddenTokens()

  Specified by:
    `getInitialHiddenTokens` in class `org.eclipse.xtext.ui.editor.contentassist.antlr.AbstractContentAssistParser`

### getGrammarAccess

    public ATestGrammarAccess getGrammarAccess()

### setGrammarAccess

    public void setGrammarAccess(ATestGrammarAccess grammarAccess)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD